=== test/SortTools_test/CMakeLists.txt ===
ADD_OCE_TEST(sorttools_test "TKernel")
