=== test/UnitsAPI_test/CMakeLists.txt ===
SET_PROPERTY(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS SRC_CASROOT="${${PROJECT_NAME}_SOURCE_DIR}" SRC_RESOURCE="${${PROJECT_NAME}_SOURCE_DIR}/src/UnitsAPI")

ADD_OCE_TEST(units_test "TKernel")
