=== adm/cmake/TKMesh/CMakeLists.txt ===
SET(TOOLKIT TKMesh)

SET(TOOLKIT_MODULES
	MeshDS
	BRepMesh
	MeshAlgo
	IntPoly
)
SET(TOOLKIT_DEPENDS
	TKMath
	TKernel
	TKG2d
	TKGeomBase
	TKBRep
	TKG3d
	TKGeomAlgo
	TKTopAlgo
)
IF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)
	ADD_DEFINITIONS(-DHAVE_TBB)
	SET(TOOLKIT_INCLUDE_DIRECTORIES ${TBB_INCLUDE_DIR})
	IF(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		SET(TOOLKIT_LIBS_DEBUG ${TBB_LIBRARY_DEBUG})
		SET(TOOLKIT_LIBS_OPTIMIZED ${TBB_LIBRARY})
	ELSE(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		SET(TOOLKIT_LIBS ${TBB_LIBRARY})
	ENDIF(CMAKE_CONFIGURATION_TYPES OR NMAKE)
ENDIF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)
IF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "OPENMP" AND OPENMP_FOUND)
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
ENDIF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "OPENMP" AND OPENMP_FOUND)

IF(${PROJECT_NAME}_DISABLE_BSPLINE_MESHER)
	SET_SOURCE_FILES_PROPERTIES( "${${PROJECT_NAME}_SOURCE_DIR}/src/BRepMesh/BRepMesh_FastDiscretFace.cxx" PROPERTIES COMPILE_DEFINITIONS ${PROJECT_NAME}_DISABLE_BSPLINE_MESHER )
ENDIF(${PROJECT_NAME}_DISABLE_BSPLINE_MESHER)

INCLUDE(../BuildToolkit.cmake)
