=== adm/cmake/TKQADraw/CMakeLists.txt ===
SET(TOOLKIT TKQADraw)

SET(TOOLKIT_MODULES
	DebugTools
	QABugs
	QADNaming
	QADraw
	QANCollection
	QANewBRepNaming
	QANewDBRepNaming
	QANewModTopOpe
)
SET(TOOLKIT_DEPENDS
	TKernel
	TKMath
	TKAdvTools
	TKG2d
	TKG3d
	TKGeomBase
	TKBRep
	TKGeomAlgo
	TKTopAlgo
	TKPrim
	TKShHealing
	TKBool
	TKFeat
	TKOffset
	TKSTL
	TKXSBase
	TKIGES
	TKXDESTEP
	TKCDF
	PTKernel
	TKLCAF
	TKCAF
	TKService
	TKV3d
	TKDraw
	TKViewerTest
	TKXSDRAW
	TKDCAF
)
SET(TOOLKIT_INCLUDE_DIRECTORIES ${TCL_INCLUDE_PATH})
SET(TOOLKIT_LIBS ${TCL_LIBRARY} ${CSF_gdi32_LIB} ${CSF_advapi32_LIB} ${CSF_user32_LIB})

IF(NOT WIN32)
	SET(TOOLKIT_INCLUDE_DIRECTORIES ${TOOLKIT_INCLUDE_DIRECTORIES} ${X11_X11_INCLUDE_PATH} ${TK_INCLUDE_PATH})
	SET(TOOLKIT_LIBS ${TOOLKIT_LIBS} ${TK_LIBRARY} ${X11_X11_LIB})
ENDIF(NOT WIN32)

SET(TOOLKIT_IS_PRIVATE TRUE)

INCLUDE(../BuildToolkit.cmake)
