=== adm/cmake/TKService/CMakeLists.txt ===
SET(TOOLKIT TKService)

SET(TOOLKIT_MODULES
	AlienImage
	Aspect
	CGM
	Font
	Image
	MFT
	PS
	PlotMgt
	SelectBasics
	TColQuantity
	Viewer
)
IF (WIN32)
	SET(TOOLKIT_MODULES ${TOOLKIT_MODULES}
		InterfaceGraphic
		WNT
	)
ELSE(WIN32)
	IF (APPLE AND ${PROJECT_NAME}_OSX_USE_COCOA)
		SET(TOOLKIT_MODULES ${TOOLKIT_MODULES}
			ImageUtility
			Xw
			Cocoa
		)
		SET(TOOLKIT_LIBS ${X11_Xmu_LIB} ${X11_LIBRARIES} /System/Library/Frameworks/Cocoa.framework)
	ELSE(APPLE AND ${PROJECT_NAME}_OSX_USE_COCOA)
		SET(TOOLKIT_MODULES ${TOOLKIT_MODULES}
			ImageUtility
			Xw
		)
		SET(TOOLKIT_LIBS ${X11_Xmu_LIB} ${X11_LIBRARIES})
	ENDIF(APPLE AND ${PROJECT_NAME}_OSX_USE_COCOA)
ENDIF(WIN32)
SET(TOOLKIT_DEPENDS TKMath TKernel)

IF(FREEIMAGE_LIBRARY AND ${PROJECT_NAME}_WITH_FREEIMAGE)
	ADD_DEFINITIONS(-DHAVE_FREEIMAGE)

	IF(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		SET(TOOLKIT_LIBS_DEBUG ${TOOLKIT_LIBS_DEBUG} ${FREEIMAGE_LIBRARY_DEBUG})
		SET(TOOLKIT_LIBS_OPTIMIZED ${TOOLKIT_LIBS_OPTIMIZED} ${FREEIMAGE_LIBRARY})
	ELSE (CMAKE_CONFIGURATION_TYPES OR NMAKE)
		SET(TOOLKIT_LIBS ${TOOLKIT_LIBS} ${FREEIMAGE_LIBRARY})
	ENDIF(CMAKE_CONFIGURATION_TYPES OR NMAKE)

	SET(TOOLKIT_INCLUDE_DIRECTORIES ${TOOLKIT_INCLUDE_DIRECTORIES} ${FREEIMAGE_INCLUDE_DIR})
ENDIF(FREEIMAGE_LIBRARY AND ${PROJECT_NAME}_WITH_FREEIMAGE)

INCLUDE(../BuildToolkit.cmake)

IF(BORLAND)
	# cgmobin.c, cgmochar.c and cgmotext.c need __STDC__=1 define in order to build for bcc32.
	foreach(source_file ${TOOLKIT_SOURCE_FILES} )
		if ((source_file MATCHES "cgmobin.c") OR
			(source_file MATCHES "cgmochar.c") OR
			(source_file MATCHES "cgmotext.c"))
			set_source_files_properties("${source_file}" PROPERTIES COMPILE_DEFINITIONS "__STDC__=1")
		endif()
	endforeach(source_file)
ENDIF(BORLAND)
