=== adm/cmake/TKViewerTest/CMakeLists.txt ===
SET(TOOLKIT TKViewerTest)

SET(TOOLKIT_MODULES
	Viewer2dTest
	ViewerTest
)
SET(TOOLKIT_DEPENDS
	TKernel
	TKBool
	TKG2d
	TKOffset
	TKG3d
	TKGeomBase
	TKTopAlgo
	TKV2d
	TKV3d
	TKDraw
	TKOpenGl
	TKService
	TKMath
	TKBRep
	TKMesh
	TKGeomAlgo
	TKFillet
	TKTopTest
	TKHLR
	TKVoxel
	TKNIS
	TKPrim
)

IF(WIN32)
	SET(TOOLKIT_LIBS ${CSF_user32_LIB} ${CSF_gdi32_LIB})
ELSE(WIN32)
	SET(TOOLKIT_INCLUDE_DIRECTORIES ${X11_X11_INCLUDE_PATH} ${TK_INCLUDE_PATH} ${OPENGL_INCLUDE_DIR})
	SET(TOOLKIT_LIBS ${TK_LIBRARY} ${X11_X11_LIB})
ENDIF(WIN32)

SET(TOOLKIT_IS_PRIVATE TRUE)

INCLUDE(../BuildToolkit.cmake)
