=== debian/changelog ===
oce (0.12-3) unstable; urgency=low

  * Uploaded into unstable
  * debian/watch: Updated by Bart Martens, thanks.

 -- Denis Barbier <barbier@debian.org>  Wed, 10 Jul 2013 23:59:31 +0200

oce (0.12-2) experimental; urgency=low

  * debian/rules: Set DART_TESTING_TIMEOUT to 3600 to
    fix build failures on mips.

 -- Denis Barbier <barbier@debian.org>  Fri, 14 Jun 2013 21:57:39 +0200

oce (0.12-1) experimental; urgency=low

  * New upstream version, SONAME bumped.
  * debian/control: Append "-b debian" to Vcs-Git field.
  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/patches/port-memalign.patch: Drop patch,
    it has been incorporated upstream.
  * debian/patches/fix-Hurd.patch: New patch, to fix test
    failures on Hurd.

 -- Denis Barbier <barbier@debian.org>  Wed, 13 Mar 2013 21:16:50 +0100

oce (0.11-2) experimental; urgency=low

  * debian/patches/port-memalign.patch: New patch to fix build
    failures, mm_malloc.h is available only on x86 and amd64.

 -- Denis Barbier <barbier@debian.org>  Sat, 15 Dec 2012 21:08:50 +0100

oce (0.11-1) experimental; urgency=low

  * New upstream version, SONAME bumped.
  * debian/patches/add-TKQADraw.patch: Drop patch, incorporated upstream.

 -- Denis Barbier <barbier@debian.org>  Wed, 12 Dec 2012 22:02:12 +0100

oce (0.10-3) experimental; urgency=low

  * debian/rules: Force parallel build.
  * Move usr/include/oce/oce_build_config.defs into usr/include/oce/<triplet>/
    so that liboce-foundation-dev packages are coinstallable.
  * Split installed CMake targets file so that each -dev package
    ships a targets file with the libraries it contains.  Currently
    one must install all *-dev packages because otherwise CMake
    complains about missing files referenced from an imported target.
  * Flag *-dev packages as Multi-Arch: same and not foreign.

 -- Denis Barbier <barbier@debian.org>  Sun, 05 Aug 2012 09:10:56 +0200

oce (0.10-2) experimental; urgency=low

  * debian/control: Version liboce*-dev dependencies.
    Patch and report by Julien Cristau, thanks.  (Closes: #678403)
  * Add support for multiarch.  (Closes: #682866)
    All liboce-*-dev packages are now Arch: any.
    Add multiarch dirs to CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES
    so that multiarch directory is seen as a system library and
    not added into RPATH.  See #683484.
  * Allow using plugins when liboce-ocaf-lite-dev is not
    installed.  (Closes: #683374)

 -- Denis Barbier <barbier@debian.org>  Wed, 01 Aug 2012 01:12:32 +0200

oce (0.10-1) experimental; urgency=low

  [ Denis Barbier ]
  * New upstream version, based on OCCT 6.5.3.
  * debian/control: Bump sonames.
  * debian/patches/ftbfs-alpha.patch: Drop patch,
    it has been incorporated upstream.
  * debian/control: liboce-foundation-dev contains
    arch-dependent files, it must be declared
    Architecture: any (Closes: 676776)
    Thanks Sandro Knauß for the report.
  * debian/patches/add-TKQADraw.patch: New patch,
    add the TKQADraw module which had been forgotten
    in OCE 0.10.
  * debian/rules: Call dpkg-buildflags to set build flags.

 -- Denis Barbier <barbier@debian.org>  Sat, 09 Jun 2012 11:35:27 +0200

oce (0.9.1-2) unstable; urgency=low

  [ Denis Barbier ]
  * Add missing header files LDOMBasicString.hxx, LDOMParser.hxx
    and LDOMString.hxx into liboce-ocaf-lite-dev.  Closes: #674021
    Thanks to Julien Cristau for the report.
  * Add myself to Uploaders.

 -- Denis Barbier <barbier@debian.org>  Sun, 27 May 2012 08:21:17 +0200
